Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class BrokerAttributes

    java.lang.Object
      com.sun.messaging.jms.management.server.BrokerAttributes

    public class BrokerAttributes

extends Object

Class containing information on broker attributes.

Field Summary
`static String` | `BROKER_ID` Broker ID
`static String` | `EMBEDDED` Whether broker is embedded (running in process) or not.
`static String` | `HOST` Broker host.
`static String` | `INSTANCE_NAME` Broker instance name.
`static String` | `PORT` Broker port.
`static String` | `RESOURCE_STATE` Broker memory level
`static String` | `VERSION` Broker version.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BROKER_ID

    public static final String BROKER_ID

  Broker ID

  See Also:
    Constant Field Values

### VERSION

    public static final String VERSION

  Broker version.

  See Also:
    Constant Field Values

### INSTANCE_NAME

    public static final String INSTANCE_NAME

  Broker instance name.

  See Also:
    Constant Field Values

### RESOURCE_STATE

    public static final String RESOURCE_STATE

  Broker memory level

  See Also:
    Constant Field Values

### PORT

    public static final String PORT

  Broker port.

  See Also:
    Constant Field Values

### HOST

    public static final String HOST

  Broker host.

  See Also:
    Constant Field Values

### EMBEDDED

    public static final String EMBEDDED

  Whether broker is embedded (running in process) or not.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.